GNU bug report logs - #51691
28.0.60; bug-reference-mode conflicts with rainbow-mode

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Jimmy Yuen Ho Wong <wyuenho@HIDDEN>; Keywords: moreinfo; dated Mon, 8 Nov 2021 17:48:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 51691 <at> debbugs.gnu.org:


Received: (at 51691) by debbugs.gnu.org; 9 Nov 2021 04:29:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 08 23:29:21 2021
Received: from localhost ([127.0.0.1]:60262 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mkIl7-0007TC-Iw
	for submit <at> debbugs.gnu.org; Mon, 08 Nov 2021 23:29:21 -0500
Received: from mail-pf1-f171.google.com ([209.85.210.171]:38458)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <wyuenho@HIDDEN>) id 1mkIl6-0007Sy-4i
 for 51691 <at> debbugs.gnu.org; Mon, 08 Nov 2021 23:29:21 -0500
Received: by mail-pf1-f171.google.com with SMTP id g18so13471181pfk.5
 for <51691 <at> debbugs.gnu.org>; Mon, 08 Nov 2021 20:29:20 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=GgznkqoVX91d4yMsJSVhHmiT/pz6vz3shooHEWJr9lw=;
 b=lwg+SJWJHidEI3UKB6AeVaZZaRL6gnzYuM+iEIjGPVPQKFuoVdal/O5XTpVxYvKxx2
 8pFCPSK5QhiZISgBpac9ctT102HCNzX0mnxESZDHwdD4R5UAnb23bj6kV7Ug8RVmyrdY
 z44ERjPZYYfVmPHOO0xWKFzXXpUypfkakRzVPTtGzS9g2OeUrWWzoC5y8G7FPERTLxyx
 MbQzT4X4a3r1FPt3wpQGcbwLegtJP8wP3/ewyM6AhV5/zRoWEkiLlIT8rJnNAf3KpoAW
 RyROcBtyACOMkNqgnn5BAuGV3Pyoxql6eeKtF73E4Zb2vWTGQ1UKU0Cg4nYCv6hZ6U0p
 2bDw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=GgznkqoVX91d4yMsJSVhHmiT/pz6vz3shooHEWJr9lw=;
 b=LtrNtSJy7nj9NHwpQmKGu8l7ubYbLf7LGyG/ler9bXP+/2doUK19+oiEvky6WLIjeG
 EN4GK2RAr+dr9X36toaw1qX0c7zlW8cFElHgtRVHbSrN3UsxYwDfUoYBXrgKUpwotCjF
 qbfoLLTogxfYRp6pYALHiY0EtZaW5BDARAZf5gCLNhXEcLAcPlYP6P3bV681lZbqVcvS
 gFDnsiDHvJk8bKPBEsbt4XKS3BtiZ32GzCofQdN4C4Q5FyP9H2D95CwnE000dUiDZxlU
 /hhLthe67xT2F/39vIgC96GKFAeyV0kClO7iy/5MIhVp8CmXnlHh7ujYWngRxNwaEyre
 boSA==
X-Gm-Message-State: AOAM533eLcCZf03xEH5jHV5gWHSZSd8Y+8Nuuok8Q4tTb0PhXtFmfAlJ
 RdI+z5Cn6ukbqA10OrA5WTXnqSRs1664KwBt2rA=
X-Google-Smtp-Source: ABdhPJypO4Naw84LGLJ5xv7hZc4ds3mtoOd2bXKA27i94M/PpGyLTUDgKzR3V0dS4G0jKRj0t/h4efkVE7Ghnwe0u/Y=
X-Received: by 2002:a65:6ab0:: with SMTP id x16mr3733014pgu.181.1636432154047; 
 Mon, 08 Nov 2021 20:29:14 -0800 (PST)
MIME-Version: 1.0
References: <m25yt28rzt.fsf@HIDDEN> <87k0hirmhr.fsf@HIDDEN>
In-Reply-To: <87k0hirmhr.fsf@HIDDEN>
From: Jimmy Yuen Ho Wong <wyuenho@HIDDEN>
Date: Tue, 9 Nov 2021 04:29:03 +0000
Message-ID: <CAKDRQS6c0YxvtV9eSdki+ianGXY=RRcGD_00zT9=5F82MR7UvA@HIDDEN>
Subject: Re: bug#51691: 28.0.60; bug-reference-mode conflicts with rainbow-mode
To: Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: multipart/alternative; boundary="0000000000003db83005d0538d8f"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 51691
Cc: 51691 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--0000000000003db83005d0538d8f
Content-Type: text/plain; charset="UTF-8"

You have to put the file in a git repo, and have pushed it to an upstream
GitHub URL. Bug reference mode will then pick the github forge link for the
second value, which matches the GitHub issue number regex.

On Tue, 9 Nov 2021 at 4:17 am Lars Ingebrigtsen <larsi@HIDDEN> wrote:

> Jimmy Yuen Ho Wong <wyuenho@HIDDEN> writes:
>
> > 1. emacs -q
> > 2. Visit an elisp file in a git repo that has a hex color value in a
> > string parameter followed by a
> > hash, e.g. (set-face-attribute 'default nil :background "#002b36"
> :foreground "#839496")
> > 3. M-x rainbow-mode.
> > 4. Observe that the hex color value has been highlighted.
> > 5. M-x bug-reference-mode or bug-reference-prog-mode.
> > 6. Observe that the hex color has and overlay with a link interface
> > applied.
>
> I'm unable to reproduce this with the attached test file:
>
>
> None of the hex colours here are buttonised by bug-reference-mode.  Are
> there any additional steps needed to see the problem?
>
> --
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no
>
-- 
Jimmy Yuen Ho Wong

--0000000000003db83005d0538d8f
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"auto">You have to put the file in a git repo, and have pushed i=
t to an upstream GitHub URL. Bug reference mode will then pick the github f=
orge link for the second value, which matches the GitHub issue number regex=
.</div><div><br><div class=3D"gmail_quote"><div dir=3D"ltr" class=3D"gmail_=
attr">On Tue, 9 Nov 2021 at 4:17 am Lars Ingebrigtsen &lt;<a href=3D"mailto=
:larsi@HIDDEN">larsi@HIDDEN</a>&gt; wrote:<br></div><blockquote class=
=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;border-left-width:1px;bo=
rder-left-style:solid;padding-left:1ex;border-left-color:rgb(204,204,204)">=
Jimmy Yuen Ho Wong &lt;<a href=3D"mailto:wyuenho@HIDDEN" target=3D"_blan=
k">wyuenho@HIDDEN</a>&gt; writes:<br>
<br>
&gt; 1. emacs -q<br>
&gt; 2. Visit an elisp file in a git repo that has a hex color value in a<b=
r>
&gt; string parameter followed by a<br>
&gt; hash, e.g. (set-face-attribute &#39;default nil :background &quot;#002=
b36&quot; :foreground &quot;#839496&quot;)<br>
&gt; 3. M-x rainbow-mode.<br>
&gt; 4. Observe that the hex color value has been highlighted.<br>
&gt; 5. M-x bug-reference-mode or bug-reference-prog-mode.<br>
&gt; 6. Observe that the hex color has and overlay with a link interface<br=
>
&gt; applied.<br>
<br>
I&#39;m unable to reproduce this with the attached test file:<br>
<br>
<br>
None of the hex colours here are buttonised by bug-reference-mode.=C2=A0 Ar=
e<br>
there any additional steps needed to see the problem?<br>
<br>
-- <br>
(domestic pets only, the antidote for overdose, milk.)<br>
=C2=A0 =C2=A0bloggy blog: <a href=3D"http://lars.ingebrigtsen.no" rel=3D"no=
referrer" target=3D"_blank">http://lars.ingebrigtsen.no</a><br>
</blockquote></div></div>-- <br><div dir=3D"ltr" class=3D"gmail_signature" =
data-smartmail=3D"gmail_signature"><div dir=3D"ltr">Jimmy Yuen Ho Wong</div=
></div>

--0000000000003db83005d0538d8f--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51691; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 51691 <at> debbugs.gnu.org:


Received: (at 51691) by debbugs.gnu.org; 9 Nov 2021 04:17:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 08 23:17:54 2021
Received: from localhost ([127.0.0.1]:60252 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mkIa2-0007Aj-AH
	for submit <at> debbugs.gnu.org; Mon, 08 Nov 2021 23:17:54 -0500
Received: from quimby.gnus.org ([95.216.78.240]:55080)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mkIZz-0007AT-RN
 for 51691 <at> debbugs.gnu.org; Mon, 08 Nov 2021 23:17:53 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=Gl0RJ+JMu9legAURJ2sLxQLN2423zZUOktTR2hxb9lg=; b=XEd2u+202eR2eo1PI26BZup+Z0
 HPoxiJgr9LzQFFk3ImEFvLcFwTe8b58MuWF5WsGmkvrPjbIjXpX8FzvNYee0eia0iwVcSeHfGODoO
 PrLUhb/1tHwwv1RqLskuDvc1Z9wFRjmDGhj4EbDLDA78cexjhWXjVBFPYuC+G+G1FDRc=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mkIZn-0008WK-1a; Tue, 09 Nov 2021 05:17:45 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Jimmy Yuen Ho Wong <wyuenho@HIDDEN>
Subject: Re: bug#51691: 28.0.60; bug-reference-mode conflicts with rainbow-mode
References: <m25yt28rzt.fsf@HIDDEN>
X-Now-Playing: Matmos + Wobbly's _Rogue Pulse: Gravity Collapse (10)_: "Ekoplx"
Date: Tue, 09 Nov 2021 05:17:36 +0100
In-Reply-To: <m25yt28rzt.fsf@HIDDEN> (Jimmy Yuen Ho Wong's message of "Mon, 
 08 Nov 2021 17:41:26 +0000")
Message-ID: <87k0hirmhr.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Jimmy Yuen Ho Wong <wyuenho@HIDDEN> writes: > 1. emacs
 -q > 2. Visit an elisp file in a git repo that has a hex color value in a
 > string parameter followed by a > hash, e.g. (set-face-attribute 'default
 nil :background "#002b36" :foreground "# [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
 0.0 DC_PNG_UNO_LARGO       Message contains a single large png image
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51691
Cc: 51691 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain

Jimmy Yuen Ho Wong <wyuenho@HIDDEN> writes:

> 1. emacs -q
> 2. Visit an elisp file in a git repo that has a hex color value in a
> string parameter followed by a
> hash, e.g. (set-face-attribute 'default nil :background "#002b36" :foreground "#839496")
> 3. M-x rainbow-mode.
> 4. Observe that the hex color value has been highlighted.
> 5. M-x bug-reference-mode or bug-reference-prog-mode.
> 6. Observe that the hex color has and overlay with a link interface
> applied.

I'm unable to reproduce this with the attached test file:


--=-=-=
Content-Type: image/png
Content-Disposition: inline
Content-Transfer-Encoding: base64
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--=-=-=
Content-Type: text/plain


None of the hex colours here are buttonised by bug-reference-mode.  Are
there any additional steps needed to see the problem?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no

--=-=-=
Content-Type: application/emacs-lisp
Content-Disposition: attachment; filename=rain.el
Content-Transfer-Encoding: quoted-printable


;;; See bug#50424.

(set-face-attribute 'default nil :background "#002b36" :foreground "#839496=
")

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51691; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 8 Nov 2021 17:47:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 08 12:47:13 2021
Received: from localhost ([127.0.0.1]:59356 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mk8jg-0006eC-Q3
	for submit <at> debbugs.gnu.org; Mon, 08 Nov 2021 12:47:13 -0500
Received: from lists.gnu.org ([209.51.188.17]:41124)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <wyuenho@HIDDEN>) id 1mk8jd-0006bB-6K
 for submit <at> debbugs.gnu.org; Mon, 08 Nov 2021 12:47:11 -0500
Received: from eggs.gnu.org ([209.51.188.92]:35472)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <wyuenho@HIDDEN>) id 1mk8jc-0000VS-UR
 for bug-gnu-emacs@HIDDEN; Mon, 08 Nov 2021 12:47:08 -0500
Received: from [2a00:1450:4864:20::429] (port=45759
 helo=mail-wr1-x429.google.com)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <wyuenho@HIDDEN>) id 1mk8jY-0002CK-S8
 for bug-gnu-emacs@HIDDEN; Mon, 08 Nov 2021 12:47:07 -0500
Received: by mail-wr1-x429.google.com with SMTP id w29so16752364wra.12
 for <bug-gnu-emacs@HIDDEN>; Mon, 08 Nov 2021 09:47:03 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:subject:date:message-id:mime-version;
 bh=Qcm9XbbH1NHySG48KMwT8SY7wgckVzalEcWYuOOUOpM=;
 b=c2CP9Ih+tI5KDqvY7a+TPbgKr+2QoGAI26ljqgKLRvp1qhJ1cx3or3KboYj/EUWoZD
 rSD4xc/mQDA4c26E9qMZoxsyTDQ6Bt+6i1amPa0cHq0FRjn5cYy4RC+YH/dlHIUKrwN2
 54tWwv74C0WKl4P5rDIQPRlepenSBrbo724mKdiX73I4zLX3LTpFE60r+br5Wvie36WD
 yPVD4tw4onPMqx37cNnqqb9U/EgGh4Lg3+MwDI5cov0IOybACGxD7TZLNYlByDzk660L
 un0CoMQmZz+4XYx5r6l/AJ2rRdHY/DlAbd4XsV7K4UiwPIGjaFLl4xtMYliECXBJy6SH
 jguQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version;
 bh=Qcm9XbbH1NHySG48KMwT8SY7wgckVzalEcWYuOOUOpM=;
 b=FP4WCLQSrhLznuS48T072S08CZ43TdHcCQQh+Rw1q/gLEzxDZOytdheknHmWS7d/g/
 F5fNBSbBK51qMFEHL0AEoAlQCE+V/m5osEn2DEqtMhsoykrQKw9BMXQvclYK3bd3wwxI
 E7w+WddXZBGGEPurZlsOgXSUeCISV3FQmSTcV2oSsvIia1SdDmTDXshOHNzUz1Cd3bHT
 aUXpJSVQf0RZscChJ/WbHULoKaF+kSwfTG2gVG98942EV23pKfSemls0PRIl049yB69i
 kgpo1Wo1omOhuZ4ovvRhz453XiYvvgTi/uX1NiZ4HH1ddYDOzQ3sWyYcn5tk7VaZhxo9
 J6UQ==
X-Gm-Message-State: AOAM531wl1s6STeKgoGyZX5AN2u+YX7iNa1RsyG+9C3QQC3FvM7r2a4i
 tFIR+Q6lDFHG/ep7oCmUmadXHmL7awsHgQ==
X-Google-Smtp-Source: ABdhPJx1xAsnBmQ6r8aovSdUT7MNv7Evy5nXPH8Ah3kBZiBcX2T0oALjSy3wB4dp2z7rpCwzMsH3Gg==
X-Received: by 2002:a5d:4989:: with SMTP id r9mr1153863wrq.14.1636393289064;
 Mon, 08 Nov 2021 09:41:29 -0800 (PST)
Received: from MobileCat.local ([152.37.76.19])
 by smtp.gmail.com with ESMTPSA id t11sm17278391wrz.97.2021.11.08.09.41.28
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-ECDSA-CHACHA20-POLY1305 bits=256/256);
 Mon, 08 Nov 2021 09:41:28 -0800 (PST)
From: Jimmy Yuen Ho Wong <wyuenho@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.60; bug-reference-mode conflicts with rainbow-mode
Date: Mon, 08 Nov 2021 17:41:26 +0000
Message-ID: <m25yt28rzt.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Host-Lookup-Failed: Reverse DNS lookup failed for 2a00:1450:4864:20::429
 (failed)
Received-SPF: pass client-ip=2a00:1450:4864:20::429;
 envelope-from=wyuenho@HIDDEN; helo=mail-wr1-x429.google.com
X-Spam_score_int: -12
X-Spam_score: -1.3
X-Spam_bar: -
X-Spam_report: (-1.3 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 PDS_HP_HELO_NORDNS=0.001, RCVD_IN_DNSWL_NONE=-0.0001, RDNS_NONE=0.793,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.9 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)


Reproduction:

1. emacs -q
2. Visit an elisp file in a git repo that has a hex color value in a
string parameter followed by a
hash, e.g. (set-face-attribute 'default nil :background "#002b36" :foreground "#839496")
3. M-x rainbow-mode.
4. Observe that the hex color value has been highlighted.
5. M-x bug-reference-mode or bug-reference-prog-mode.
6. Observe that the hex color has and overlay with a link interface
applied.

Expectation:

All bug-reference-*-mode overlays should only be applied to docstrings
and/or comments and nothing else.


In GNU Emacs 28.0.60 (build 1, x86_64-apple-darwin20.6.0, NS appkit-2022.60 Version 11.6.1 (Build 20G224))
 of 2021-11-07 built on MobileCat.local
Repository revision: d85cf33e494f4e9ada2a9359247e88775e92e7c0
Repository branch: HEAD
Windowing system distributor 'Apple', version 10.3.2022
System Description:  macOS 11.6.1

Configured using:
 'configure --prefix=/opt/local --disable-silent-rules --without-dbus
 --without-gconf --without-libotf --without-m17n-flt --with-libgmp
 --with-gnutls --with-json --with-xml2 --with-modules --infodir
 /opt/local/share/info/emacs --with-ns --with-lcms2 --without-harfbuzz
 --without-imagemagick --without-xaw3d --with-native-compilation
 --with-rsvg --with-xwidgets 'CFLAGS=-pipe -Os
 -isysroot/Library/Developer/CommandLineTools/SDKs/MacOSX11.sdk -arch
 x86_64' 'CPPFLAGS=-I/opt/local/include
 -isysroot/Library/Developer/CommandLineTools/SDKs/MacOSX11.sdk'
 'LDFLAGS=-L/opt/local/lib -Wl,-headerpad_max_install_names -Wl,-no_pie
 -Wl,-syslibroot,/Library/Developer/CommandLineTools/SDKs/MacOSX11.sdk
 -arch x86_64''

Configured features:
ACL GIF GLIB GMP GNUTLS JPEG JSON LCMS2 LIBXML2 MODULES NATIVE_COMP
NOTIFY KQUEUE NS PDUMPER PNG RSVG THREADS TIFF TOOLKIT_SCROLL_BARS
XWIDGETS ZLIB

Important settings:
  value of $LC_ALL: en_GB.UTF-8
  value of $LANG: en_GB.UTF-8
  locale-coding-system: utf-8-unix

Major mode: ELisp/l

Minor modes in effect:
  company-box-mode: t
  company-prescient-mode: t
  prescient-persist-mode: t
  rainbow-mode: t
  elisp-def-mode: t
  display-line-numbers-mode: t
  subword-mode: t
  form-feed-mode: t
  beginend-prog-mode: t
  imenu-list-minor-mode: t
  purpose-mode: t
  windmove-mode: t
  bug-reference-prog-mode: t
  diff-hl-flydiff-mode: t
  projectile-rails-global-mode: t
  projectile-mode: t
  crm-custom-mode: t
  override-global-mode: t
  dap-tooltip-mode: t
  dap-ui-many-windows-mode: t
  dap-ui-controls-mode: t
  dap-ui-mode: t
  treemacs-filewatch-mode: t
  treemacs-follow-mode: t
  treemacs-git-mode: t
  treemacs-fringe-indicator-mode: t
  global-git-commit-mode: t
  magit-auto-revert-mode: t
  shell-dirtrack-mode: t
  winner-mode: t
  which-key-mode: t
  which-function-mode: t
  smooth-scrolling-mode: t
  show-smartparens-global-mode: t
  show-smartparens-mode: t
  smartparens-global-mode: t
  smartparens-mode: t
  server-mode: t
  savehist-mode: t
  save-place-mode: t
  rxt-global-mode: t
  rxt-mode: t
  recentf-mode: t
  minibuffer-depth-indicate-mode: t
  ido-vertical-mode: t
  ido-ubiquitous-mode: t
  global-whitespace-cleanup-mode: t
  whitespace-cleanup-mode: t
  global-tree-sitter-mode: t
  global-so-long-mode: t
  global-origami-mode: t
  origami-mode: t
  global-move-dup-mode: t
  move-dup-mode: t
  global-hl-line-mode: t
  global-flycheck-mode: t
  global-diff-hl-show-hunk-mouse-mode: t
  diff-hl-show-hunk-mouse-mode: t
  global-diff-hl-mode: t
  diff-hl-mode: t
  global-company-mode: t
  company-mode: t
  global-auto-revert-mode: t
  global-aggressive-indent-mode: t
  aggressive-indent-mode: t
  flx-ido-mode: t
  ido-everywhere: t
  icomplete-vertical-mode: t
  icomplete-mode: t
  fido-mode: t
  editorconfig-mode: t
  direnv-mode: t
  desktop-save-mode: t
  delete-selection-mode: t
  dap-auto-configure-mode: t
  dap-mode: t
  yas-minor-mode: t
  auto-compile-on-save-mode: t
  auto-compile-mode: t
  amx-mode: t
  abridge-diff-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  window-divider-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  temp-buffer-resize-mode: t
  size-indication-mode: t
  column-number-mode: t
  line-number-mode: t
  visual-line-mode: t
  transient-mark-mode: t

Load-path shadows:
/opt/local/share/emacs/site-lisp/cmake-mode hides /Users/wyuenho/.emacs.d/elpa/cmake-mode-20210104.1831/cmake-mode
/Users/wyuenho/.emacs.d/elpa/transient-20211105.100/transient hides /Applications/MacPorts/Emacs.app/Contents/Resources/lisp/transient

Features:
(shadow sort mail-extr emacsbug sendmail thunk autoload mm-archive
url-cache facemenu two-column lsp-diagnostics lsp-modeline
lsp-completion dap-python highlight-indent-guides python-docstring
sphinx-doc diff-hl-dired all-the-icons-dired dired-collapse
dired-hacks-utils flycheck-inline vc-mtn vc-hg vc-bzr vc-src vc-sccs
vc-svn vc-cvs vc-rcs company-box company-box-doc frame-local
company-box-icons company-prescient prescient company-keywords
company-etags etags fileloop generator company-gtags
company-dabbrev-code company-dabbrev company-yasnippet company-capf
company-files company-cmake company-clang company-semantic
company-template company-bbdb rainbow-mode elisp-def ert debug backtrace
display-line-numbers cap-words superword subword smartparens-config
smartparens-javascript smartparens-ruby smartparens-python
smartparens-markdown smartparens-text smartparens-c form-feed
editorconfig-core editorconfig-core-handle editorconfig-fnmatch beginend
window-purpose-x shut-up imenu-list hideshow window-purpose
window-purpose-fixes window-purpose-prefix-overload
window-purpose-switch window-purpose-layout window-purpose-core
window-purpose-configuration window-purpose-utils windmove
dired-hide-dotfiles shrink-path git-timemachine vc-git magit-lfs
forge-list forge-commands forge-semi forge-bitbucket buck forge-gogs
gogs forge-gitea gtea forge-gitlab glab forge-github ghub-graphql treepy
gsexp ghub gnutls forge-notify forge-revnote forge-pullreq forge-issue
forge-topic yaml bug-reference forge-post forge-repo forge forge-core
forge-db closql emacsql-sqlite emacsql emacsql-compiler url-http
url-auth url-gw magit-bookmark magit-submodule magit-obsolete
magit-blame magit-stash magit-reflog magit-bisect magit-push magit-pull
magit-fetch magit-clone magit-remote magit-commit magit-sequence
magit-notes magit-worktree magit-tag magit-merge magit-branch
magit-reset magit-files magit-refs magit-status magit magit-repos
magit-apply magit-wip magit-log diff-hl-flydiff ediff-merg ediff-mult
ediff-wind ediff-diff ediff-help ediff-init ediff-util dumb-jump popup
rg rg-info-hack rg-menu rg-ibuffer rg-result wgrep-rg wgrep rg-history
rg-header projectile-rails rake inflections inf-ruby ruby-mode smie
autoinsert projectile grep ibuf-ext ibuffer ibuffer-loaddefs lsp-metals
view lsp-metals-treeview lsp-metals-protocol lsp-sourcekit lsp yard-mode
lsp-pyright lsp-jedi importmagic epc ctable concurrent deferred
python-isort python-black request python tramp-sh docker-tramp
tramp-cache tramp tramp-loaddefs trampver tramp-integration files-x
tramp-compat ls-lisp python-insert-docstring typescript-mode json-mode
json-snatcher js cc-mode cc-fonts cc-guess cc-menus cc-cmds cc-styles
cc-align cc-engine cc-vars cc-defs reformatter flycheck-package
package-lint finder finder-inf eterm-256color term disp-table ehelp
xterm-color native-complete use-package-ensure lsp-ui lsp-ui-flycheck
lsp-ui-doc xwidget image-mode exif treemacs-bookmarks bookmark goto-addr
lsp-ui-imenu lsp-ui-peek lsp-ui-sideline lsp-ui-util face-remap iedit
iedit-lib mc-hide-unmatched-lines-mode mc-mark-more mc-cycle-cursors
multiple-cursors-core rect crm-custom pager-default-keybindings pager
browse-kill-ring paradox paradox-menu paradox-commit-list
paradox-execute paradox-github paradox-core parse-time iso8601
use-package-bind-key bind-key use-package-delight osx-trash
exec-path-from-shell all-the-icons all-the-icons-faces data-material
data-weathericons data-octicons data-fileicons data-faicons
data-alltheicons spaceline-config spaceline-segments spaceline powerline
powerline-separators powerline-themes solarized-dark-theme
solarized-theme solarized solarized-faces delight quelpa-use-package
use-package-core quelpa lisp-mnt help-fns radix-tree tree-sitter-langs
tree-sitter-langs-build tar-mode arc-mode archive-mode tree-sitter-hl
dap-mouse dap-ui lsp-treemacs lsp-treemacs-themes treemacs
treemacs-header-line treemacs-compatibility treemacs-mode
treemacs-interface treemacs-extensions treemacs-mouse-interface
treemacs-tags treemacs-persistence treemacs-filewatch-mode
treemacs-follow-mode treemacs-rendering treemacs-async
treemacs-workspaces treemacs-dom treemacs-visuals
treemacs-fringe-indicator treemacs-scope pulse treemacs-faces
treemacs-icons treemacs-themes treemacs-core-utils pfuture
treemacs-logging treemacs-customization treemacs-macros gdb-mi gud bui
bui-list bui-info bui-entry bui-core bui-history bui-button bui-utils
lsp-lens magit-diff smerge-mode diff git-commit log-edit message rfc822
mml mml-sec epa derived gnus-util rmail rmail-loaddefs time-date
mm-decode mm-bodies mm-encode mail-parse rfc2231 rfc2047 rfc2045 mm-util
ietf-drums mail-prsvr mailabbrev mail-utils gmm-utils mailheader add-log
magit-core magit-libgit libgit libegit2 magit-autorevert magit-margin
magit-transient magit-process with-editor shell pcomplete magit-mode
transient format-spec magit-git magit-section magit-utils crm winner
which-key which-func smooth-scrolling smartparens server savehist
saveplace pcre2el rxt re-builder recentf mb-depth ido-vertical-mode
ido-completing-read+ memoize cus-edit pp minibuf-eldef help-at-pt
whitespace-cleanup-mode whitespace tree-sitter tree-sitter-load
tree-sitter-cli tsc tsc-dyn tsc-dyn-get dired-aux dired dired-loaddefs
tsc-obsolete so-long origami origami-parsers cl move-dup hl-line
flycheck find-func diff-hl-show-hunk diff-hl-inline-popup diff-hl
log-view pcvs-util vc-dir vc vc-dispatcher company autorevert
aggressive-indent flx-ido advice flx ido icomplete editorconfig direnv
diff-mode desktop frameset delsel dap-mode dap-launch posframe
dap-overlays lsp-mode lsp-protocol yasnippet-snippets yasnippet xref
project tree-widget wid-edit spinner network-stream puny nsm rmc
markdown-mode color thingatpt noutline outline easy-mmode lv inline
imenu ht f ewoc epg rfc6068 epg-config dash compile text-property-search
comint ansi-color ring auto-compile packed amx s abridge-diff let-alist
filenotify cus-load edmacro kmacro info package browse-url url url-proxy
url-privacy url-expand url-methods url-history url-cookie url-domsuf
url-util mailcap url-handlers url-parse auth-source eieio eieio-core
eieio-loaddefs password-cache json map url-vars comp comp-cstr warnings
subr-x rx cl-seq cl-macs cl-extra help-mode seq byte-opt bytecomp
byte-compile cconv gv pcase cl-loaddefs cl-lib iso-transl tooltip eldoc
paren electric uniquify ediff-hook vc-hooks lisp-float-type elisp-mode
mwheel term/ns-win ns-win ucs-normalize mule-util term/common-win
tool-bar dnd fontset image regexp-opt fringe tabulated-list replace
newcomment text-mode lisp-mode prog-mode register page tab-bar menu-bar
rfn-eshadow isearch easymenu timer select scroll-bar mouse jit-lock
font-lock syntax font-core term/tty-colors frame minibuffer cl-generic
cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese composite emoji-zwj charscript
charprop case-table epa-hook jka-cmpr-hook help simple abbrev obarray
cl-preloaded nadvice button loaddefs faces cus-face macroexp files
window text-properties overlay sha1 md5 base64 format env code-pages
mule custom widget hashtable-print-readable backquote threads
xwidget-internal kqueue cocoa ns lcms2 multi-tty make-network-process
native-compile emacs)

Memory information:
((conses 16 2679737 1154482)
 (symbols 48 82421 1853)
 (strings 32 377006 208677)
 (string-bytes 1 12790009)
 (vectors 16 172464)
 (vector-slots 8 4612400 1356135)
 (floats 8 1128 1868)
 (intervals 56 253310 82012)
 (buffers 992 38))




Acknowledgement sent to Jimmy Yuen Ho Wong <wyuenho@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#51691; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 9 Nov 2021 04:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.